error: no connection driver available for qemu:///system

提问于 2015-05-24 23:59:05 -0500

JerryDog 图像

rhel7 使用packstack安装allinone, nova-compute总是起不来

rhel6可以正常安装

经检查,rhel7 默认安装的 libvirt 版本为 1.2.8 , 而 rhel6 默认安装的为 libvirt.0.10.2 ,不知道是不是因为版本的关系

virsh -c qemu:///system list

错误:连接到管理程序失败 错误:qemu:///system 没有连接驱动器可用

libvirt 确实是在运行的,老是报没有连接驱动器的错误,该装的包都已经装了

rpm -qa |grep libvirt

libvirt-gobject-0.1.7-3.el7.x86_64

libvirt-daemon-driver-lxc-1.2.8-16.el7_1.3.x86_64

libvirt-gconfig-0.1.7-3.el7.x86_64

libvirt-daemon-kvm-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-driver-nodedev-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-driver-nwfilter-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-config-network-1.2.8-16.el7_1.3.x86_64

libvirt-client-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-driver-storage-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-driver-interface-1.2.8-16.el7_1.3.x86_64

libvirt-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-driver-network-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-config-nwfilter-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-driver-secret-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-driver-qemu-1.2.8-16.el7_1.3.x86_64

libvirt-daemon-1.2.8-16.el7_1.3.x86_64

libvirt-glib-0.1.7-3.el7.x86_64

libvirt-python-1.2.8-7.el7_1.1.x86_64

跪求解决办法

edit retag flag offensive close merge delete